# -*- coding: utf-8 -*-
#
# Copyright (c) 2019, HILSTER GmbH, Germany - https://hilster.de
# All rights reserved.
#

from __future__ import absolute_import, division, print_function

from .core import __version_info__, __version__
from .thread import Thread
from .settings import Settings, SettingsNoSingleton
from .report import HTMLTestReport, JSONTestReport, YAMLTestReport, JUnitXMLTestReport, DOORSTestReport
from .markers import MetaData, Id, Revision, Rev, LastChangedBy, LastChangedDate, LastChangedRevision, URL, RCSfile,\
    RCSFile, Date, Header, Author, Source, HeadURL, TestingframeworkVersion
from .decorators import periodic, enqueueException, timed, raises, skipIf, meetsDOORSRequirements, stacktrace,\
    before, after, skip, tags
from .runner import TestResult, TestRunner
from .testcase import TestCase
from .main import main, run, dryrun, get_tags

from unittest.case import expectedFailure
from .exceptions import SkipTest, SkipStep, ParsingError

from .loader import TestLoader
from .suite import TestSuite

from .jira import JIRAConnector

from .retry import retry, retriable, retrying

from htf.util.data_driven_testing import data, product, permutations, \
    combinations, combinations_with_replacement, \
    JSONFileIterator, json_data, \
    YAMLFileIterator, yaml_data, \
    CSVFileIterator, csv_data


__all__ = [
    "__version_info__", "__version__",
    "TestCase",
    "TestResult", "TestRunner",
    "Settings",
    "HTMLTestReport", "JSONTestReport", "YAMLTestReport", "JUnitXMLTestReport", "DOORSTestReport",
    "MetaData", "Id", "Revision", "Rev", "LastChangedRevision", "RCSFile", "RCSfile", "URL", "LastChangedDate", "Date",
    "Header", "Author", "Source", "HeadURL", "TestingframeworkVersion",
    "Thread",
    "periodic", "enqueueException", "timed", "raises", "skipIf", "meetsDOORSRequirements", "stacktrace", "before",
    "after",
    "TestLoader", "TestSuite",
    "expectedFailure", "skip", "skipIf", "SkipTest", "SkipStep", "tags",
    "ParsingError",
    "JIRAConnector",
    "retry", "retriable", "retrying",
    "data", "product", "permutations",
    "combinations", "combinations_with_replacement",
    "JSONFileIterator", "json_data",
    "YAMLFileIterator", "yaml_data",
    "CSVFileIterator", "csv_data",
    "main", "run", "dryrun", "get_tags",
]
