# -*- coding: utf-8 -*-
#
# Copyright (c) 2019, HILSTER GmbH, Germany - https://hilster.de
# All rights reserved.
#
# This file was generated by wrappergenerator.py
#

from __future__ import absolute_import, division, print_function, unicode_literals

from htf.checksum._crc import CRC as _CRC


class CRC(_CRC):
    """
    A configurable CRC calculator.
    """

    def __init__(self, width, polynomial, reflect_input, initial_value, reflect_output, xor_output):
        """
        The CRC constructor.

        Args:
            width (int): the CRC's width in bits
            polynomial (int): the CRC's polynomial
            reflect_input (bool): if set to ``True`` input is reflected
            initial_value (int): the initial value
            reflect_output (bool): if set to ``True`` output is reflected
            xor_output (int): xor all outputs with ``xor_output``
        """
        super(CRC, self).__init__(width=width, polynomial=polynomial, reflect_input=reflect_input, initial_value=initial_value, reflect_output=reflect_output, xor_output=xor_output)

    def calculate(self, data):
        """
        Calculates the crc over ``data`` bit by bit.

        Arguments:
            data (bytes or iterable of int): the input data to be used for
                the crc calculation

        Returns:
            int: the calculated crc for ``data``
        """
        return super(CRC, self).calculate(data=data)

