# -*- coding: utf-8 -*-
#
# Copyright (c) 2019, HILSTER GmbH, Germany - https://hilster.de
# All rights reserved.
#

from __future__ import absolute_import, division, print_function, unicode_literals

from htf.report._yaml_testreport import YAMLTestReport as _YAMLTestReport

class YAMLTestReport(_YAMLTestReport):
    """
    ``YAMLTestReport`` creates a YAML test report.
    """

    def __init__(self, filename):
        """
        Initialize a ``YAMLTestReport`` instance.

        Args:
            filename (str): the filename for the YAML test report.
        """
        super(YAMLTestReport, self).__init__(filename=filename)

    def create_data_url(self, mimetype, data):
        return super(YAMLTestReport, self).create_data_url(mimetype=mimetype, data=data)

    def render(self, data):
        """
        Generates and stores a YAML encoded TestReport.

        Args:
            data (dict): test result data
        """
        return super(YAMLTestReport, self).render(data=data)

    def write(self, data):
        return super(YAMLTestReport, self).write(data=data)
