# -*- coding: utf-8 -*-
#
# Copyright (c) 2019, HILSTER GmbH, Germany - http://hilster.de
# All rights reserved.
#

from __future__ import absolute_import, division, print_function, unicode_literals

from unittest.suite import TestSuite as _TestSuite, _isnotsuite


class TestSuite(_TestSuite):
    """
    Simple wrapper for unittest.TestSuite.
    Removes the cleanup funcitonality yon Python 3.x.
    """
    _cleanup = False

    def __iter__(self):
        return self._tests_generator(self._tests)

    def _tests_generator(self, test_or_suite):
        for test in test_or_suite:
            if _isnotsuite(test):
                assert test is not None, "A test is None. Did you use a TestSuite with _cleanup == True?"
                yield test
            else:
                for t in self._tests_generator(iter(test)):
                    yield t
