# -*- coding: utf-8 -*-
#
# Copyright (c) 2019, HILSTER GmbH, Germany - https://hilster.de
# All rights reserved.
#
# This file was generated by wrappergenerator.py
#

from __future__ import absolute_import, division, print_function, unicode_literals

from htf._tee import IOCapture as _IOCapture
from htf._tee import Tee as _Tee


class IOCapture(_IOCapture):
    """
    Text I/O implementation using an in-memory buffer.

    The initial_value argument sets the value of object.  The newline
    argument is like the one of TextIOWrapper's constructor.
    """

    def __init__(self, verbose=True, streams=None):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        super(IOCapture, self).__init__(verbose=verbose, streams=streams)

    def write(self, s):
        """
        Write string to file.

        Returns the number of characters written, which is always equal to
        the length of the string.
        """
        return super(IOCapture, self).write(s=s)



class Tee(_Tee):
    """
    ``Tee`` works like the Unix tool ``tee``.
    Stdout and stderr are captured and (if ``verbose`` is ``True``) redirected to the
    original streams, too.
    The captured streams can be used later.
    """

    def __init__(self, verbose=True):
        """
        Args:
            verbose=True (bool): if set to ``True`` ``Tee`` is verbose and prints to to stdout and stderr.
        """
        super(Tee, self).__init__(verbose=verbose)

    def getStderr(self):
        """
        Get captured stderr stream.

        Returns:
            str: the captured stderr stream.
        """
        return super(Tee, self).getStderr()

    def getStdout(self):
        """
        Get captured stdout stream.

        Returns:
            str: the captured stdout stream.
        """
        return super(Tee, self).getStdout()

