# -*- coding: utf-8 -*-
#
# Copyright (c) 2019, HILSTER GmbH, Germany - https://hilster.de
# All rights reserved.
#

from __future__ import \
    absolute_import, division, print_function, unicode_literals

from htf.termcolors.helpers import *

bold = make_style(color=None, on_color=None, attrs=['bold'])
bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


underline = make_style(color=None, on_color=None, attrs=['underline'])
underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


bold_underline = make_style(color=None, on_color=None, attrs=['bold', 'underline'])
bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_grey = make_style(color=None, on_color='on_grey', attrs=[])
on_grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_grey'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_grey_bold = make_style(color=None, on_color='on_grey', attrs=['bold'])
on_grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_grey'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_grey_underline = make_style(color=None, on_color='on_grey', attrs=['underline'])
on_grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_grey'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_grey_bold_underline = make_style(color=None, on_color='on_grey', attrs=['bold', 'underline'])
on_grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_grey'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_red = make_style(color=None, on_color='on_red', attrs=[])
on_red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_red'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_red_bold = make_style(color=None, on_color='on_red', attrs=['bold'])
on_red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_red'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_red_underline = make_style(color=None, on_color='on_red', attrs=['underline'])
on_red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_red'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_red_bold_underline = make_style(color=None, on_color='on_red', attrs=['bold', 'underline'])
on_red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_red'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_green = make_style(color=None, on_color='on_green', attrs=[])
on_green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_green'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_green_bold = make_style(color=None, on_color='on_green', attrs=['bold'])
on_green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_green'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_green_underline = make_style(color=None, on_color='on_green', attrs=['underline'])
on_green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_green'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_green_bold_underline = make_style(color=None, on_color='on_green', attrs=['bold', 'underline'])
on_green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_green'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_yellow = make_style(color=None, on_color='on_yellow', attrs=[])
on_yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_yellow'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_yellow_bold = make_style(color=None, on_color='on_yellow', attrs=['bold'])
on_yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_yellow'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_yellow_underline = make_style(color=None, on_color='on_yellow', attrs=['underline'])
on_yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_yellow'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_yellow_bold_underline = make_style(color=None, on_color='on_yellow', attrs=['bold', 'underline'])
on_yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_yellow'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_blue = make_style(color=None, on_color='on_blue', attrs=[])
on_blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_blue'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_blue_bold = make_style(color=None, on_color='on_blue', attrs=['bold'])
on_blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_blue'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_blue_underline = make_style(color=None, on_color='on_blue', attrs=['underline'])
on_blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_blue'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_blue_bold_underline = make_style(color=None, on_color='on_blue', attrs=['bold', 'underline'])
on_blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_blue'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_magenta = make_style(color=None, on_color='on_magenta', attrs=[])
on_magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_magenta'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_magenta_bold = make_style(color=None, on_color='on_magenta', attrs=['bold'])
on_magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_magenta'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_magenta_underline = make_style(color=None, on_color='on_magenta', attrs=['underline'])
on_magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_magenta'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_magenta_bold_underline = make_style(color=None, on_color='on_magenta', attrs=['bold', 'underline'])
on_magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_magenta'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_cyan = make_style(color=None, on_color='on_cyan', attrs=[])
on_cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_cyan'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_cyan_bold = make_style(color=None, on_color='on_cyan', attrs=['bold'])
on_cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_cyan'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_cyan_underline = make_style(color=None, on_color='on_cyan', attrs=['underline'])
on_cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_cyan'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_cyan_bold_underline = make_style(color=None, on_color='on_cyan', attrs=['bold', 'underline'])
on_cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_cyan'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_white = make_style(color=None, on_color='on_white', attrs=[])
on_white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_white'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_white_bold = make_style(color=None, on_color='on_white', attrs=['bold'])
on_white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_white'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_white_underline = make_style(color=None, on_color='on_white', attrs=['underline'])
on_white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_white'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


on_white_bold_underline = make_style(color=None, on_color='on_white', attrs=['bold', 'underline'])
on_white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: None. 
    Background color: 'on_white'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey = make_style(color='grey', on_color=None, attrs=[])
grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: None. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_bold = make_style(color='grey', on_color=None, attrs=['bold'])
grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_underline = make_style(color='grey', on_color=None, attrs=['underline'])
grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_bold_underline = make_style(color='grey', on_color=None, attrs=['bold', 'underline'])
grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_red = make_style(color='grey', on_color='on_red', attrs=[])
grey_on_red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_red'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_red_bold = make_style(color='grey', on_color='on_red', attrs=['bold'])
grey_on_red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_red'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_red_underline = make_style(color='grey', on_color='on_red', attrs=['underline'])
grey_on_red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_red'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_red_bold_underline = make_style(color='grey', on_color='on_red', attrs=['bold', 'underline'])
grey_on_red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_red'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_green = make_style(color='grey', on_color='on_green', attrs=[])
grey_on_green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_green'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_green_bold = make_style(color='grey', on_color='on_green', attrs=['bold'])
grey_on_green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_green'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_green_underline = make_style(color='grey', on_color='on_green', attrs=['underline'])
grey_on_green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_green'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_green_bold_underline = make_style(color='grey', on_color='on_green', attrs=['bold', 'underline'])
grey_on_green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_green'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_yellow = make_style(color='grey', on_color='on_yellow', attrs=[])
grey_on_yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_yellow'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_yellow_bold = make_style(color='grey', on_color='on_yellow', attrs=['bold'])
grey_on_yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_yellow'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_yellow_underline = make_style(color='grey', on_color='on_yellow', attrs=['underline'])
grey_on_yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_yellow'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_yellow_bold_underline = make_style(color='grey', on_color='on_yellow', attrs=['bold', 'underline'])
grey_on_yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_yellow'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_blue = make_style(color='grey', on_color='on_blue', attrs=[])
grey_on_blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_blue'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_blue_bold = make_style(color='grey', on_color='on_blue', attrs=['bold'])
grey_on_blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_blue'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_blue_underline = make_style(color='grey', on_color='on_blue', attrs=['underline'])
grey_on_blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_blue'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_blue_bold_underline = make_style(color='grey', on_color='on_blue', attrs=['bold', 'underline'])
grey_on_blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_blue'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_magenta = make_style(color='grey', on_color='on_magenta', attrs=[])
grey_on_magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_magenta'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_magenta_bold = make_style(color='grey', on_color='on_magenta', attrs=['bold'])
grey_on_magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_magenta'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_magenta_underline = make_style(color='grey', on_color='on_magenta', attrs=['underline'])
grey_on_magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_magenta'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_magenta_bold_underline = make_style(color='grey', on_color='on_magenta', attrs=['bold', 'underline'])
grey_on_magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_magenta'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_cyan = make_style(color='grey', on_color='on_cyan', attrs=[])
grey_on_cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_cyan'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_cyan_bold = make_style(color='grey', on_color='on_cyan', attrs=['bold'])
grey_on_cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_cyan'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_cyan_underline = make_style(color='grey', on_color='on_cyan', attrs=['underline'])
grey_on_cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_cyan'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_cyan_bold_underline = make_style(color='grey', on_color='on_cyan', attrs=['bold', 'underline'])
grey_on_cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_cyan'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_white = make_style(color='grey', on_color='on_white', attrs=[])
grey_on_white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_white'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_white_bold = make_style(color='grey', on_color='on_white', attrs=['bold'])
grey_on_white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_white'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_white_underline = make_style(color='grey', on_color='on_white', attrs=['underline'])
grey_on_white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_white'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


grey_on_white_bold_underline = make_style(color='grey', on_color='on_white', attrs=['bold', 'underline'])
grey_on_white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'grey'. 
    Background color: 'on_white'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red = make_style(color='red', on_color=None, attrs=[])
red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: None. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_bold = make_style(color='red', on_color=None, attrs=['bold'])
red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_underline = make_style(color='red', on_color=None, attrs=['underline'])
red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_bold_underline = make_style(color='red', on_color=None, attrs=['bold', 'underline'])
red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_grey = make_style(color='red', on_color='on_grey', attrs=[])
red_on_grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_grey'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_grey_bold = make_style(color='red', on_color='on_grey', attrs=['bold'])
red_on_grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_grey'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_grey_underline = make_style(color='red', on_color='on_grey', attrs=['underline'])
red_on_grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_grey'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_grey_bold_underline = make_style(color='red', on_color='on_grey', attrs=['bold', 'underline'])
red_on_grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_grey'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_green = make_style(color='red', on_color='on_green', attrs=[])
red_on_green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_green'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_green_bold = make_style(color='red', on_color='on_green', attrs=['bold'])
red_on_green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_green'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_green_underline = make_style(color='red', on_color='on_green', attrs=['underline'])
red_on_green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_green'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_green_bold_underline = make_style(color='red', on_color='on_green', attrs=['bold', 'underline'])
red_on_green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_green'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_yellow = make_style(color='red', on_color='on_yellow', attrs=[])
red_on_yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_yellow'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_yellow_bold = make_style(color='red', on_color='on_yellow', attrs=['bold'])
red_on_yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_yellow'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_yellow_underline = make_style(color='red', on_color='on_yellow', attrs=['underline'])
red_on_yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_yellow'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_yellow_bold_underline = make_style(color='red', on_color='on_yellow', attrs=['bold', 'underline'])
red_on_yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_yellow'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_blue = make_style(color='red', on_color='on_blue', attrs=[])
red_on_blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_blue'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_blue_bold = make_style(color='red', on_color='on_blue', attrs=['bold'])
red_on_blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_blue'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_blue_underline = make_style(color='red', on_color='on_blue', attrs=['underline'])
red_on_blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_blue'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_blue_bold_underline = make_style(color='red', on_color='on_blue', attrs=['bold', 'underline'])
red_on_blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_blue'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_magenta = make_style(color='red', on_color='on_magenta', attrs=[])
red_on_magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_magenta'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_magenta_bold = make_style(color='red', on_color='on_magenta', attrs=['bold'])
red_on_magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_magenta'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_magenta_underline = make_style(color='red', on_color='on_magenta', attrs=['underline'])
red_on_magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_magenta'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_magenta_bold_underline = make_style(color='red', on_color='on_magenta', attrs=['bold', 'underline'])
red_on_magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_magenta'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_cyan = make_style(color='red', on_color='on_cyan', attrs=[])
red_on_cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_cyan'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_cyan_bold = make_style(color='red', on_color='on_cyan', attrs=['bold'])
red_on_cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_cyan'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_cyan_underline = make_style(color='red', on_color='on_cyan', attrs=['underline'])
red_on_cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_cyan'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_cyan_bold_underline = make_style(color='red', on_color='on_cyan', attrs=['bold', 'underline'])
red_on_cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_cyan'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_white = make_style(color='red', on_color='on_white', attrs=[])
red_on_white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_white'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_white_bold = make_style(color='red', on_color='on_white', attrs=['bold'])
red_on_white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_white'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_white_underline = make_style(color='red', on_color='on_white', attrs=['underline'])
red_on_white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_white'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


red_on_white_bold_underline = make_style(color='red', on_color='on_white', attrs=['bold', 'underline'])
red_on_white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'red'. 
    Background color: 'on_white'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green = make_style(color='green', on_color=None, attrs=[])
green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: None. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_bold = make_style(color='green', on_color=None, attrs=['bold'])
green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_underline = make_style(color='green', on_color=None, attrs=['underline'])
green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_bold_underline = make_style(color='green', on_color=None, attrs=['bold', 'underline'])
green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_grey = make_style(color='green', on_color='on_grey', attrs=[])
green_on_grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_grey'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_grey_bold = make_style(color='green', on_color='on_grey', attrs=['bold'])
green_on_grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_grey'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_grey_underline = make_style(color='green', on_color='on_grey', attrs=['underline'])
green_on_grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_grey'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_grey_bold_underline = make_style(color='green', on_color='on_grey', attrs=['bold', 'underline'])
green_on_grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_grey'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_red = make_style(color='green', on_color='on_red', attrs=[])
green_on_red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_red'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_red_bold = make_style(color='green', on_color='on_red', attrs=['bold'])
green_on_red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_red'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_red_underline = make_style(color='green', on_color='on_red', attrs=['underline'])
green_on_red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_red'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_red_bold_underline = make_style(color='green', on_color='on_red', attrs=['bold', 'underline'])
green_on_red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_red'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_yellow = make_style(color='green', on_color='on_yellow', attrs=[])
green_on_yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_yellow'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_yellow_bold = make_style(color='green', on_color='on_yellow', attrs=['bold'])
green_on_yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_yellow'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_yellow_underline = make_style(color='green', on_color='on_yellow', attrs=['underline'])
green_on_yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_yellow'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_yellow_bold_underline = make_style(color='green', on_color='on_yellow', attrs=['bold', 'underline'])
green_on_yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_yellow'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_blue = make_style(color='green', on_color='on_blue', attrs=[])
green_on_blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_blue'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_blue_bold = make_style(color='green', on_color='on_blue', attrs=['bold'])
green_on_blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_blue'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_blue_underline = make_style(color='green', on_color='on_blue', attrs=['underline'])
green_on_blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_blue'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_blue_bold_underline = make_style(color='green', on_color='on_blue', attrs=['bold', 'underline'])
green_on_blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_blue'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_magenta = make_style(color='green', on_color='on_magenta', attrs=[])
green_on_magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_magenta'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_magenta_bold = make_style(color='green', on_color='on_magenta', attrs=['bold'])
green_on_magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_magenta'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_magenta_underline = make_style(color='green', on_color='on_magenta', attrs=['underline'])
green_on_magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_magenta'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_magenta_bold_underline = make_style(color='green', on_color='on_magenta', attrs=['bold', 'underline'])
green_on_magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_magenta'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_cyan = make_style(color='green', on_color='on_cyan', attrs=[])
green_on_cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_cyan'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_cyan_bold = make_style(color='green', on_color='on_cyan', attrs=['bold'])
green_on_cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_cyan'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_cyan_underline = make_style(color='green', on_color='on_cyan', attrs=['underline'])
green_on_cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_cyan'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_cyan_bold_underline = make_style(color='green', on_color='on_cyan', attrs=['bold', 'underline'])
green_on_cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_cyan'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_white = make_style(color='green', on_color='on_white', attrs=[])
green_on_white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_white'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_white_bold = make_style(color='green', on_color='on_white', attrs=['bold'])
green_on_white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_white'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_white_underline = make_style(color='green', on_color='on_white', attrs=['underline'])
green_on_white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_white'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


green_on_white_bold_underline = make_style(color='green', on_color='on_white', attrs=['bold', 'underline'])
green_on_white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'green'. 
    Background color: 'on_white'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow = make_style(color='yellow', on_color=None, attrs=[])
yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: None. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_bold = make_style(color='yellow', on_color=None, attrs=['bold'])
yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_underline = make_style(color='yellow', on_color=None, attrs=['underline'])
yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_bold_underline = make_style(color='yellow', on_color=None, attrs=['bold', 'underline'])
yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_grey = make_style(color='yellow', on_color='on_grey', attrs=[])
yellow_on_grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_grey'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_grey_bold = make_style(color='yellow', on_color='on_grey', attrs=['bold'])
yellow_on_grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_grey'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_grey_underline = make_style(color='yellow', on_color='on_grey', attrs=['underline'])
yellow_on_grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_grey'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_grey_bold_underline = make_style(color='yellow', on_color='on_grey', attrs=['bold', 'underline'])
yellow_on_grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_grey'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_red = make_style(color='yellow', on_color='on_red', attrs=[])
yellow_on_red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_red'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_red_bold = make_style(color='yellow', on_color='on_red', attrs=['bold'])
yellow_on_red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_red'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_red_underline = make_style(color='yellow', on_color='on_red', attrs=['underline'])
yellow_on_red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_red'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_red_bold_underline = make_style(color='yellow', on_color='on_red', attrs=['bold', 'underline'])
yellow_on_red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_red'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_green = make_style(color='yellow', on_color='on_green', attrs=[])
yellow_on_green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_green'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_green_bold = make_style(color='yellow', on_color='on_green', attrs=['bold'])
yellow_on_green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_green'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_green_underline = make_style(color='yellow', on_color='on_green', attrs=['underline'])
yellow_on_green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_green'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_green_bold_underline = make_style(color='yellow', on_color='on_green', attrs=['bold', 'underline'])
yellow_on_green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_green'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_blue = make_style(color='yellow', on_color='on_blue', attrs=[])
yellow_on_blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_blue'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_blue_bold = make_style(color='yellow', on_color='on_blue', attrs=['bold'])
yellow_on_blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_blue'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_blue_underline = make_style(color='yellow', on_color='on_blue', attrs=['underline'])
yellow_on_blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_blue'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_blue_bold_underline = make_style(color='yellow', on_color='on_blue', attrs=['bold', 'underline'])
yellow_on_blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_blue'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_magenta = make_style(color='yellow', on_color='on_magenta', attrs=[])
yellow_on_magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_magenta'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_magenta_bold = make_style(color='yellow', on_color='on_magenta', attrs=['bold'])
yellow_on_magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_magenta'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_magenta_underline = make_style(color='yellow', on_color='on_magenta', attrs=['underline'])
yellow_on_magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_magenta'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_magenta_bold_underline = make_style(color='yellow', on_color='on_magenta', attrs=['bold', 'underline'])
yellow_on_magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_magenta'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_cyan = make_style(color='yellow', on_color='on_cyan', attrs=[])
yellow_on_cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_cyan'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_cyan_bold = make_style(color='yellow', on_color='on_cyan', attrs=['bold'])
yellow_on_cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_cyan'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_cyan_underline = make_style(color='yellow', on_color='on_cyan', attrs=['underline'])
yellow_on_cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_cyan'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_cyan_bold_underline = make_style(color='yellow', on_color='on_cyan', attrs=['bold', 'underline'])
yellow_on_cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_cyan'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_white = make_style(color='yellow', on_color='on_white', attrs=[])
yellow_on_white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_white'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_white_bold = make_style(color='yellow', on_color='on_white', attrs=['bold'])
yellow_on_white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_white'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_white_underline = make_style(color='yellow', on_color='on_white', attrs=['underline'])
yellow_on_white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_white'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


yellow_on_white_bold_underline = make_style(color='yellow', on_color='on_white', attrs=['bold', 'underline'])
yellow_on_white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'yellow'. 
    Background color: 'on_white'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue = make_style(color='blue', on_color=None, attrs=[])
blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: None. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_bold = make_style(color='blue', on_color=None, attrs=['bold'])
blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_underline = make_style(color='blue', on_color=None, attrs=['underline'])
blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_bold_underline = make_style(color='blue', on_color=None, attrs=['bold', 'underline'])
blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_grey = make_style(color='blue', on_color='on_grey', attrs=[])
blue_on_grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_grey'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_grey_bold = make_style(color='blue', on_color='on_grey', attrs=['bold'])
blue_on_grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_grey'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_grey_underline = make_style(color='blue', on_color='on_grey', attrs=['underline'])
blue_on_grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_grey'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_grey_bold_underline = make_style(color='blue', on_color='on_grey', attrs=['bold', 'underline'])
blue_on_grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_grey'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_red = make_style(color='blue', on_color='on_red', attrs=[])
blue_on_red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_red'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_red_bold = make_style(color='blue', on_color='on_red', attrs=['bold'])
blue_on_red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_red'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_red_underline = make_style(color='blue', on_color='on_red', attrs=['underline'])
blue_on_red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_red'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_red_bold_underline = make_style(color='blue', on_color='on_red', attrs=['bold', 'underline'])
blue_on_red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_red'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_green = make_style(color='blue', on_color='on_green', attrs=[])
blue_on_green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_green'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_green_bold = make_style(color='blue', on_color='on_green', attrs=['bold'])
blue_on_green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_green'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_green_underline = make_style(color='blue', on_color='on_green', attrs=['underline'])
blue_on_green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_green'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_green_bold_underline = make_style(color='blue', on_color='on_green', attrs=['bold', 'underline'])
blue_on_green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_green'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_yellow = make_style(color='blue', on_color='on_yellow', attrs=[])
blue_on_yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_yellow'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_yellow_bold = make_style(color='blue', on_color='on_yellow', attrs=['bold'])
blue_on_yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_yellow'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_yellow_underline = make_style(color='blue', on_color='on_yellow', attrs=['underline'])
blue_on_yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_yellow'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_yellow_bold_underline = make_style(color='blue', on_color='on_yellow', attrs=['bold', 'underline'])
blue_on_yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_yellow'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_magenta = make_style(color='blue', on_color='on_magenta', attrs=[])
blue_on_magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_magenta'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_magenta_bold = make_style(color='blue', on_color='on_magenta', attrs=['bold'])
blue_on_magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_magenta'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_magenta_underline = make_style(color='blue', on_color='on_magenta', attrs=['underline'])
blue_on_magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_magenta'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_magenta_bold_underline = make_style(color='blue', on_color='on_magenta', attrs=['bold', 'underline'])
blue_on_magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_magenta'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_cyan = make_style(color='blue', on_color='on_cyan', attrs=[])
blue_on_cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_cyan'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_cyan_bold = make_style(color='blue', on_color='on_cyan', attrs=['bold'])
blue_on_cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_cyan'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_cyan_underline = make_style(color='blue', on_color='on_cyan', attrs=['underline'])
blue_on_cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_cyan'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_cyan_bold_underline = make_style(color='blue', on_color='on_cyan', attrs=['bold', 'underline'])
blue_on_cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_cyan'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_white = make_style(color='blue', on_color='on_white', attrs=[])
blue_on_white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_white'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_white_bold = make_style(color='blue', on_color='on_white', attrs=['bold'])
blue_on_white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_white'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_white_underline = make_style(color='blue', on_color='on_white', attrs=['underline'])
blue_on_white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_white'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


blue_on_white_bold_underline = make_style(color='blue', on_color='on_white', attrs=['bold', 'underline'])
blue_on_white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'blue'. 
    Background color: 'on_white'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta = make_style(color='magenta', on_color=None, attrs=[])
magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: None. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_bold = make_style(color='magenta', on_color=None, attrs=['bold'])
magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_underline = make_style(color='magenta', on_color=None, attrs=['underline'])
magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_bold_underline = make_style(color='magenta', on_color=None, attrs=['bold', 'underline'])
magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_grey = make_style(color='magenta', on_color='on_grey', attrs=[])
magenta_on_grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_grey'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_grey_bold = make_style(color='magenta', on_color='on_grey', attrs=['bold'])
magenta_on_grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_grey'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_grey_underline = make_style(color='magenta', on_color='on_grey', attrs=['underline'])
magenta_on_grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_grey'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_grey_bold_underline = make_style(color='magenta', on_color='on_grey', attrs=['bold', 'underline'])
magenta_on_grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_grey'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_red = make_style(color='magenta', on_color='on_red', attrs=[])
magenta_on_red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_red'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_red_bold = make_style(color='magenta', on_color='on_red', attrs=['bold'])
magenta_on_red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_red'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_red_underline = make_style(color='magenta', on_color='on_red', attrs=['underline'])
magenta_on_red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_red'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_red_bold_underline = make_style(color='magenta', on_color='on_red', attrs=['bold', 'underline'])
magenta_on_red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_red'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_green = make_style(color='magenta', on_color='on_green', attrs=[])
magenta_on_green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_green'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_green_bold = make_style(color='magenta', on_color='on_green', attrs=['bold'])
magenta_on_green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_green'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_green_underline = make_style(color='magenta', on_color='on_green', attrs=['underline'])
magenta_on_green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_green'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_green_bold_underline = make_style(color='magenta', on_color='on_green', attrs=['bold', 'underline'])
magenta_on_green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_green'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_yellow = make_style(color='magenta', on_color='on_yellow', attrs=[])
magenta_on_yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_yellow'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_yellow_bold = make_style(color='magenta', on_color='on_yellow', attrs=['bold'])
magenta_on_yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_yellow'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_yellow_underline = make_style(color='magenta', on_color='on_yellow', attrs=['underline'])
magenta_on_yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_yellow'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_yellow_bold_underline = make_style(color='magenta', on_color='on_yellow', attrs=['bold', 'underline'])
magenta_on_yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_yellow'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_blue = make_style(color='magenta', on_color='on_blue', attrs=[])
magenta_on_blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_blue'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_blue_bold = make_style(color='magenta', on_color='on_blue', attrs=['bold'])
magenta_on_blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_blue'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_blue_underline = make_style(color='magenta', on_color='on_blue', attrs=['underline'])
magenta_on_blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_blue'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_blue_bold_underline = make_style(color='magenta', on_color='on_blue', attrs=['bold', 'underline'])
magenta_on_blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_blue'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_cyan = make_style(color='magenta', on_color='on_cyan', attrs=[])
magenta_on_cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_cyan'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_cyan_bold = make_style(color='magenta', on_color='on_cyan', attrs=['bold'])
magenta_on_cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_cyan'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_cyan_underline = make_style(color='magenta', on_color='on_cyan', attrs=['underline'])
magenta_on_cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_cyan'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_cyan_bold_underline = make_style(color='magenta', on_color='on_cyan', attrs=['bold', 'underline'])
magenta_on_cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_cyan'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_white = make_style(color='magenta', on_color='on_white', attrs=[])
magenta_on_white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_white'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_white_bold = make_style(color='magenta', on_color='on_white', attrs=['bold'])
magenta_on_white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_white'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_white_underline = make_style(color='magenta', on_color='on_white', attrs=['underline'])
magenta_on_white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_white'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


magenta_on_white_bold_underline = make_style(color='magenta', on_color='on_white', attrs=['bold', 'underline'])
magenta_on_white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'magenta'. 
    Background color: 'on_white'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan = make_style(color='cyan', on_color=None, attrs=[])
cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: None. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_bold = make_style(color='cyan', on_color=None, attrs=['bold'])
cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_underline = make_style(color='cyan', on_color=None, attrs=['underline'])
cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_bold_underline = make_style(color='cyan', on_color=None, attrs=['bold', 'underline'])
cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_grey = make_style(color='cyan', on_color='on_grey', attrs=[])
cyan_on_grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_grey'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_grey_bold = make_style(color='cyan', on_color='on_grey', attrs=['bold'])
cyan_on_grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_grey'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_grey_underline = make_style(color='cyan', on_color='on_grey', attrs=['underline'])
cyan_on_grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_grey'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_grey_bold_underline = make_style(color='cyan', on_color='on_grey', attrs=['bold', 'underline'])
cyan_on_grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_grey'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_red = make_style(color='cyan', on_color='on_red', attrs=[])
cyan_on_red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_red'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_red_bold = make_style(color='cyan', on_color='on_red', attrs=['bold'])
cyan_on_red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_red'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_red_underline = make_style(color='cyan', on_color='on_red', attrs=['underline'])
cyan_on_red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_red'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_red_bold_underline = make_style(color='cyan', on_color='on_red', attrs=['bold', 'underline'])
cyan_on_red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_red'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_green = make_style(color='cyan', on_color='on_green', attrs=[])
cyan_on_green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_green'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_green_bold = make_style(color='cyan', on_color='on_green', attrs=['bold'])
cyan_on_green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_green'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_green_underline = make_style(color='cyan', on_color='on_green', attrs=['underline'])
cyan_on_green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_green'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_green_bold_underline = make_style(color='cyan', on_color='on_green', attrs=['bold', 'underline'])
cyan_on_green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_green'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_yellow = make_style(color='cyan', on_color='on_yellow', attrs=[])
cyan_on_yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_yellow'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_yellow_bold = make_style(color='cyan', on_color='on_yellow', attrs=['bold'])
cyan_on_yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_yellow'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_yellow_underline = make_style(color='cyan', on_color='on_yellow', attrs=['underline'])
cyan_on_yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_yellow'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_yellow_bold_underline = make_style(color='cyan', on_color='on_yellow', attrs=['bold', 'underline'])
cyan_on_yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_yellow'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_blue = make_style(color='cyan', on_color='on_blue', attrs=[])
cyan_on_blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_blue'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_blue_bold = make_style(color='cyan', on_color='on_blue', attrs=['bold'])
cyan_on_blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_blue'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_blue_underline = make_style(color='cyan', on_color='on_blue', attrs=['underline'])
cyan_on_blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_blue'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_blue_bold_underline = make_style(color='cyan', on_color='on_blue', attrs=['bold', 'underline'])
cyan_on_blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_blue'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_magenta = make_style(color='cyan', on_color='on_magenta', attrs=[])
cyan_on_magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_magenta'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_magenta_bold = make_style(color='cyan', on_color='on_magenta', attrs=['bold'])
cyan_on_magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_magenta'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_magenta_underline = make_style(color='cyan', on_color='on_magenta', attrs=['underline'])
cyan_on_magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_magenta'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_magenta_bold_underline = make_style(color='cyan', on_color='on_magenta', attrs=['bold', 'underline'])
cyan_on_magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_magenta'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_white = make_style(color='cyan', on_color='on_white', attrs=[])
cyan_on_white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_white'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_white_bold = make_style(color='cyan', on_color='on_white', attrs=['bold'])
cyan_on_white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_white'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_white_underline = make_style(color='cyan', on_color='on_white', attrs=['underline'])
cyan_on_white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_white'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


cyan_on_white_bold_underline = make_style(color='cyan', on_color='on_white', attrs=['bold', 'underline'])
cyan_on_white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'cyan'. 
    Background color: 'on_white'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white = make_style(color='white', on_color=None, attrs=[])
white.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: None. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_bold = make_style(color='white', on_color=None, attrs=['bold'])
white_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: None. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_underline = make_style(color='white', on_color=None, attrs=['underline'])
white_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: None. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_bold_underline = make_style(color='white', on_color=None, attrs=['bold', 'underline'])
white_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: None. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_grey = make_style(color='white', on_color='on_grey', attrs=[])
white_on_grey.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_grey'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_grey_bold = make_style(color='white', on_color='on_grey', attrs=['bold'])
white_on_grey_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_grey'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_grey_underline = make_style(color='white', on_color='on_grey', attrs=['underline'])
white_on_grey_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_grey'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_grey_bold_underline = make_style(color='white', on_color='on_grey', attrs=['bold', 'underline'])
white_on_grey_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_grey'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_red = make_style(color='white', on_color='on_red', attrs=[])
white_on_red.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_red'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_red_bold = make_style(color='white', on_color='on_red', attrs=['bold'])
white_on_red_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_red'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_red_underline = make_style(color='white', on_color='on_red', attrs=['underline'])
white_on_red_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_red'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_red_bold_underline = make_style(color='white', on_color='on_red', attrs=['bold', 'underline'])
white_on_red_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_red'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_green = make_style(color='white', on_color='on_green', attrs=[])
white_on_green.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_green'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_green_bold = make_style(color='white', on_color='on_green', attrs=['bold'])
white_on_green_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_green'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_green_underline = make_style(color='white', on_color='on_green', attrs=['underline'])
white_on_green_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_green'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_green_bold_underline = make_style(color='white', on_color='on_green', attrs=['bold', 'underline'])
white_on_green_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_green'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_yellow = make_style(color='white', on_color='on_yellow', attrs=[])
white_on_yellow.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_yellow'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_yellow_bold = make_style(color='white', on_color='on_yellow', attrs=['bold'])
white_on_yellow_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_yellow'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_yellow_underline = make_style(color='white', on_color='on_yellow', attrs=['underline'])
white_on_yellow_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_yellow'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_yellow_bold_underline = make_style(color='white', on_color='on_yellow', attrs=['bold', 'underline'])
white_on_yellow_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_yellow'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_blue = make_style(color='white', on_color='on_blue', attrs=[])
white_on_blue.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_blue'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_blue_bold = make_style(color='white', on_color='on_blue', attrs=['bold'])
white_on_blue_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_blue'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_blue_underline = make_style(color='white', on_color='on_blue', attrs=['underline'])
white_on_blue_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_blue'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_blue_bold_underline = make_style(color='white', on_color='on_blue', attrs=['bold', 'underline'])
white_on_blue_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_blue'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_magenta = make_style(color='white', on_color='on_magenta', attrs=[])
white_on_magenta.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_magenta'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_magenta_bold = make_style(color='white', on_color='on_magenta', attrs=['bold'])
white_on_magenta_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_magenta'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_magenta_underline = make_style(color='white', on_color='on_magenta', attrs=['underline'])
white_on_magenta_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_magenta'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_magenta_bold_underline = make_style(color='white', on_color='on_magenta', attrs=['bold', 'underline'])
white_on_magenta_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_magenta'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_cyan = make_style(color='white', on_color='on_cyan', attrs=[])
white_on_cyan.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_cyan'. 
    Attributes: .

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_cyan_bold = make_style(color='white', on_color='on_cyan', attrs=['bold'])
white_on_cyan_bold.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_cyan'. 
    Attributes: bold.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_cyan_underline = make_style(color='white', on_color='on_cyan', attrs=['underline'])
white_on_cyan_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_cyan'. 
    Attributes: underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


white_on_cyan_bold_underline = make_style(color='white', on_color='on_cyan', attrs=['bold', 'underline'])
white_on_cyan_bold_underline.__doc__ = """
    Return colored text if supported by terminal using ANSI codes.

    Foreground color: 'white'. 
    Background color: 'on_cyan'. 
    Attributes: bold, underline.

    Args:
        text (str): the text to be colored.

    Returns:
        str: ``text`` colored if supported by the terminal.

    """


def demo():
    "print a color demo."
    print(bold('bold()'))
    print(underline('underline()'))
    print(bold_underline('bold_underline()'))
    print(on_grey('on_grey()'))
    print(on_grey_bold('on_grey_bold()'))
    print(on_grey_underline('on_grey_underline()'))
    print(on_grey_bold_underline('on_grey_bold_underline()'))
    print(on_red('on_red()'))
    print(on_red_bold('on_red_bold()'))
    print(on_red_underline('on_red_underline()'))
    print(on_red_bold_underline('on_red_bold_underline()'))
    print(on_green('on_green()'))
    print(on_green_bold('on_green_bold()'))
    print(on_green_underline('on_green_underline()'))
    print(on_green_bold_underline('on_green_bold_underline()'))
    print(on_yellow('on_yellow()'))
    print(on_yellow_bold('on_yellow_bold()'))
    print(on_yellow_underline('on_yellow_underline()'))
    print(on_yellow_bold_underline('on_yellow_bold_underline()'))
    print(on_blue('on_blue()'))
    print(on_blue_bold('on_blue_bold()'))
    print(on_blue_underline('on_blue_underline()'))
    print(on_blue_bold_underline('on_blue_bold_underline()'))
    print(on_magenta('on_magenta()'))
    print(on_magenta_bold('on_magenta_bold()'))
    print(on_magenta_underline('on_magenta_underline()'))
    print(on_magenta_bold_underline('on_magenta_bold_underline()'))
    print(on_cyan('on_cyan()'))
    print(on_cyan_bold('on_cyan_bold()'))
    print(on_cyan_underline('on_cyan_underline()'))
    print(on_cyan_bold_underline('on_cyan_bold_underline()'))
    print(on_white('on_white()'))
    print(on_white_bold('on_white_bold()'))
    print(on_white_underline('on_white_underline()'))
    print(on_white_bold_underline('on_white_bold_underline()'))
    print(grey('grey()'))
    print(grey_bold('grey_bold()'))
    print(grey_underline('grey_underline()'))
    print(grey_bold_underline('grey_bold_underline()'))
    print(grey_on_red('grey_on_red()'))
    print(grey_on_red_bold('grey_on_red_bold()'))
    print(grey_on_red_underline('grey_on_red_underline()'))
    print(grey_on_red_bold_underline('grey_on_red_bold_underline()'))
    print(grey_on_green('grey_on_green()'))
    print(grey_on_green_bold('grey_on_green_bold()'))
    print(grey_on_green_underline('grey_on_green_underline()'))
    print(grey_on_green_bold_underline('grey_on_green_bold_underline()'))
    print(grey_on_yellow('grey_on_yellow()'))
    print(grey_on_yellow_bold('grey_on_yellow_bold()'))
    print(grey_on_yellow_underline('grey_on_yellow_underline()'))
    print(grey_on_yellow_bold_underline('grey_on_yellow_bold_underline()'))
    print(grey_on_blue('grey_on_blue()'))
    print(grey_on_blue_bold('grey_on_blue_bold()'))
    print(grey_on_blue_underline('grey_on_blue_underline()'))
    print(grey_on_blue_bold_underline('grey_on_blue_bold_underline()'))
    print(grey_on_magenta('grey_on_magenta()'))
    print(grey_on_magenta_bold('grey_on_magenta_bold()'))
    print(grey_on_magenta_underline('grey_on_magenta_underline()'))
    print(grey_on_magenta_bold_underline('grey_on_magenta_bold_underline()'))
    print(grey_on_cyan('grey_on_cyan()'))
    print(grey_on_cyan_bold('grey_on_cyan_bold()'))
    print(grey_on_cyan_underline('grey_on_cyan_underline()'))
    print(grey_on_cyan_bold_underline('grey_on_cyan_bold_underline()'))
    print(grey_on_white('grey_on_white()'))
    print(grey_on_white_bold('grey_on_white_bold()'))
    print(grey_on_white_underline('grey_on_white_underline()'))
    print(grey_on_white_bold_underline('grey_on_white_bold_underline()'))
    print(red('red()'))
    print(red_bold('red_bold()'))
    print(red_underline('red_underline()'))
    print(red_bold_underline('red_bold_underline()'))
    print(red_on_grey('red_on_grey()'))
    print(red_on_grey_bold('red_on_grey_bold()'))
    print(red_on_grey_underline('red_on_grey_underline()'))
    print(red_on_grey_bold_underline('red_on_grey_bold_underline()'))
    print(red_on_green('red_on_green()'))
    print(red_on_green_bold('red_on_green_bold()'))
    print(red_on_green_underline('red_on_green_underline()'))
    print(red_on_green_bold_underline('red_on_green_bold_underline()'))
    print(red_on_yellow('red_on_yellow()'))
    print(red_on_yellow_bold('red_on_yellow_bold()'))
    print(red_on_yellow_underline('red_on_yellow_underline()'))
    print(red_on_yellow_bold_underline('red_on_yellow_bold_underline()'))
    print(red_on_blue('red_on_blue()'))
    print(red_on_blue_bold('red_on_blue_bold()'))
    print(red_on_blue_underline('red_on_blue_underline()'))
    print(red_on_blue_bold_underline('red_on_blue_bold_underline()'))
    print(red_on_magenta('red_on_magenta()'))
    print(red_on_magenta_bold('red_on_magenta_bold()'))
    print(red_on_magenta_underline('red_on_magenta_underline()'))
    print(red_on_magenta_bold_underline('red_on_magenta_bold_underline()'))
    print(red_on_cyan('red_on_cyan()'))
    print(red_on_cyan_bold('red_on_cyan_bold()'))
    print(red_on_cyan_underline('red_on_cyan_underline()'))
    print(red_on_cyan_bold_underline('red_on_cyan_bold_underline()'))
    print(red_on_white('red_on_white()'))
    print(red_on_white_bold('red_on_white_bold()'))
    print(red_on_white_underline('red_on_white_underline()'))
    print(red_on_white_bold_underline('red_on_white_bold_underline()'))
    print(green('green()'))
    print(green_bold('green_bold()'))
    print(green_underline('green_underline()'))
    print(green_bold_underline('green_bold_underline()'))
    print(green_on_grey('green_on_grey()'))
    print(green_on_grey_bold('green_on_grey_bold()'))
    print(green_on_grey_underline('green_on_grey_underline()'))
    print(green_on_grey_bold_underline('green_on_grey_bold_underline()'))
    print(green_on_red('green_on_red()'))
    print(green_on_red_bold('green_on_red_bold()'))
    print(green_on_red_underline('green_on_red_underline()'))
    print(green_on_red_bold_underline('green_on_red_bold_underline()'))
    print(green_on_yellow('green_on_yellow()'))
    print(green_on_yellow_bold('green_on_yellow_bold()'))
    print(green_on_yellow_underline('green_on_yellow_underline()'))
    print(green_on_yellow_bold_underline('green_on_yellow_bold_underline()'))
    print(green_on_blue('green_on_blue()'))
    print(green_on_blue_bold('green_on_blue_bold()'))
    print(green_on_blue_underline('green_on_blue_underline()'))
    print(green_on_blue_bold_underline('green_on_blue_bold_underline()'))
    print(green_on_magenta('green_on_magenta()'))
    print(green_on_magenta_bold('green_on_magenta_bold()'))
    print(green_on_magenta_underline('green_on_magenta_underline()'))
    print(green_on_magenta_bold_underline('green_on_magenta_bold_underline()'))
    print(green_on_cyan('green_on_cyan()'))
    print(green_on_cyan_bold('green_on_cyan_bold()'))
    print(green_on_cyan_underline('green_on_cyan_underline()'))
    print(green_on_cyan_bold_underline('green_on_cyan_bold_underline()'))
    print(green_on_white('green_on_white()'))
    print(green_on_white_bold('green_on_white_bold()'))
    print(green_on_white_underline('green_on_white_underline()'))
    print(green_on_white_bold_underline('green_on_white_bold_underline()'))
    print(yellow('yellow()'))
    print(yellow_bold('yellow_bold()'))
    print(yellow_underline('yellow_underline()'))
    print(yellow_bold_underline('yellow_bold_underline()'))
    print(yellow_on_grey('yellow_on_grey()'))
    print(yellow_on_grey_bold('yellow_on_grey_bold()'))
    print(yellow_on_grey_underline('yellow_on_grey_underline()'))
    print(yellow_on_grey_bold_underline('yellow_on_grey_bold_underline()'))
    print(yellow_on_red('yellow_on_red()'))
    print(yellow_on_red_bold('yellow_on_red_bold()'))
    print(yellow_on_red_underline('yellow_on_red_underline()'))
    print(yellow_on_red_bold_underline('yellow_on_red_bold_underline()'))
    print(yellow_on_green('yellow_on_green()'))
    print(yellow_on_green_bold('yellow_on_green_bold()'))
    print(yellow_on_green_underline('yellow_on_green_underline()'))
    print(yellow_on_green_bold_underline('yellow_on_green_bold_underline()'))
    print(yellow_on_blue('yellow_on_blue()'))
    print(yellow_on_blue_bold('yellow_on_blue_bold()'))
    print(yellow_on_blue_underline('yellow_on_blue_underline()'))
    print(yellow_on_blue_bold_underline('yellow_on_blue_bold_underline()'))
    print(yellow_on_magenta('yellow_on_magenta()'))
    print(yellow_on_magenta_bold('yellow_on_magenta_bold()'))
    print(yellow_on_magenta_underline('yellow_on_magenta_underline()'))
    print(yellow_on_magenta_bold_underline('yellow_on_magenta_bold_underline()'))
    print(yellow_on_cyan('yellow_on_cyan()'))
    print(yellow_on_cyan_bold('yellow_on_cyan_bold()'))
    print(yellow_on_cyan_underline('yellow_on_cyan_underline()'))
    print(yellow_on_cyan_bold_underline('yellow_on_cyan_bold_underline()'))
    print(yellow_on_white('yellow_on_white()'))
    print(yellow_on_white_bold('yellow_on_white_bold()'))
    print(yellow_on_white_underline('yellow_on_white_underline()'))
    print(yellow_on_white_bold_underline('yellow_on_white_bold_underline()'))
    print(blue('blue()'))
    print(blue_bold('blue_bold()'))
    print(blue_underline('blue_underline()'))
    print(blue_bold_underline('blue_bold_underline()'))
    print(blue_on_grey('blue_on_grey()'))
    print(blue_on_grey_bold('blue_on_grey_bold()'))
    print(blue_on_grey_underline('blue_on_grey_underline()'))
    print(blue_on_grey_bold_underline('blue_on_grey_bold_underline()'))
    print(blue_on_red('blue_on_red()'))
    print(blue_on_red_bold('blue_on_red_bold()'))
    print(blue_on_red_underline('blue_on_red_underline()'))
    print(blue_on_red_bold_underline('blue_on_red_bold_underline()'))
    print(blue_on_green('blue_on_green()'))
    print(blue_on_green_bold('blue_on_green_bold()'))
    print(blue_on_green_underline('blue_on_green_underline()'))
    print(blue_on_green_bold_underline('blue_on_green_bold_underline()'))
    print(blue_on_yellow('blue_on_yellow()'))
    print(blue_on_yellow_bold('blue_on_yellow_bold()'))
    print(blue_on_yellow_underline('blue_on_yellow_underline()'))
    print(blue_on_yellow_bold_underline('blue_on_yellow_bold_underline()'))
    print(blue_on_magenta('blue_on_magenta()'))
    print(blue_on_magenta_bold('blue_on_magenta_bold()'))
    print(blue_on_magenta_underline('blue_on_magenta_underline()'))
    print(blue_on_magenta_bold_underline('blue_on_magenta_bold_underline()'))
    print(blue_on_cyan('blue_on_cyan()'))
    print(blue_on_cyan_bold('blue_on_cyan_bold()'))
    print(blue_on_cyan_underline('blue_on_cyan_underline()'))
    print(blue_on_cyan_bold_underline('blue_on_cyan_bold_underline()'))
    print(blue_on_white('blue_on_white()'))
    print(blue_on_white_bold('blue_on_white_bold()'))
    print(blue_on_white_underline('blue_on_white_underline()'))
    print(blue_on_white_bold_underline('blue_on_white_bold_underline()'))
    print(magenta('magenta()'))
    print(magenta_bold('magenta_bold()'))
    print(magenta_underline('magenta_underline()'))
    print(magenta_bold_underline('magenta_bold_underline()'))
    print(magenta_on_grey('magenta_on_grey()'))
    print(magenta_on_grey_bold('magenta_on_grey_bold()'))
    print(magenta_on_grey_underline('magenta_on_grey_underline()'))
    print(magenta_on_grey_bold_underline('magenta_on_grey_bold_underline()'))
    print(magenta_on_red('magenta_on_red()'))
    print(magenta_on_red_bold('magenta_on_red_bold()'))
    print(magenta_on_red_underline('magenta_on_red_underline()'))
    print(magenta_on_red_bold_underline('magenta_on_red_bold_underline()'))
    print(magenta_on_green('magenta_on_green()'))
    print(magenta_on_green_bold('magenta_on_green_bold()'))
    print(magenta_on_green_underline('magenta_on_green_underline()'))
    print(magenta_on_green_bold_underline('magenta_on_green_bold_underline()'))
    print(magenta_on_yellow('magenta_on_yellow()'))
    print(magenta_on_yellow_bold('magenta_on_yellow_bold()'))
    print(magenta_on_yellow_underline('magenta_on_yellow_underline()'))
    print(magenta_on_yellow_bold_underline('magenta_on_yellow_bold_underline()'))
    print(magenta_on_blue('magenta_on_blue()'))
    print(magenta_on_blue_bold('magenta_on_blue_bold()'))
    print(magenta_on_blue_underline('magenta_on_blue_underline()'))
    print(magenta_on_blue_bold_underline('magenta_on_blue_bold_underline()'))
    print(magenta_on_cyan('magenta_on_cyan()'))
    print(magenta_on_cyan_bold('magenta_on_cyan_bold()'))
    print(magenta_on_cyan_underline('magenta_on_cyan_underline()'))
    print(magenta_on_cyan_bold_underline('magenta_on_cyan_bold_underline()'))
    print(magenta_on_white('magenta_on_white()'))
    print(magenta_on_white_bold('magenta_on_white_bold()'))
    print(magenta_on_white_underline('magenta_on_white_underline()'))
    print(magenta_on_white_bold_underline('magenta_on_white_bold_underline()'))
    print(cyan('cyan()'))
    print(cyan_bold('cyan_bold()'))
    print(cyan_underline('cyan_underline()'))
    print(cyan_bold_underline('cyan_bold_underline()'))
    print(cyan_on_grey('cyan_on_grey()'))
    print(cyan_on_grey_bold('cyan_on_grey_bold()'))
    print(cyan_on_grey_underline('cyan_on_grey_underline()'))
    print(cyan_on_grey_bold_underline('cyan_on_grey_bold_underline()'))
    print(cyan_on_red('cyan_on_red()'))
    print(cyan_on_red_bold('cyan_on_red_bold()'))
    print(cyan_on_red_underline('cyan_on_red_underline()'))
    print(cyan_on_red_bold_underline('cyan_on_red_bold_underline()'))
    print(cyan_on_green('cyan_on_green()'))
    print(cyan_on_green_bold('cyan_on_green_bold()'))
    print(cyan_on_green_underline('cyan_on_green_underline()'))
    print(cyan_on_green_bold_underline('cyan_on_green_bold_underline()'))
    print(cyan_on_yellow('cyan_on_yellow()'))
    print(cyan_on_yellow_bold('cyan_on_yellow_bold()'))
    print(cyan_on_yellow_underline('cyan_on_yellow_underline()'))
    print(cyan_on_yellow_bold_underline('cyan_on_yellow_bold_underline()'))
    print(cyan_on_blue('cyan_on_blue()'))
    print(cyan_on_blue_bold('cyan_on_blue_bold()'))
    print(cyan_on_blue_underline('cyan_on_blue_underline()'))
    print(cyan_on_blue_bold_underline('cyan_on_blue_bold_underline()'))
    print(cyan_on_magenta('cyan_on_magenta()'))
    print(cyan_on_magenta_bold('cyan_on_magenta_bold()'))
    print(cyan_on_magenta_underline('cyan_on_magenta_underline()'))
    print(cyan_on_magenta_bold_underline('cyan_on_magenta_bold_underline()'))
    print(cyan_on_white('cyan_on_white()'))
    print(cyan_on_white_bold('cyan_on_white_bold()'))
    print(cyan_on_white_underline('cyan_on_white_underline()'))
    print(cyan_on_white_bold_underline('cyan_on_white_bold_underline()'))
    print(white('white()'))
    print(white_bold('white_bold()'))
    print(white_underline('white_underline()'))
    print(white_bold_underline('white_bold_underline()'))
    print(white_on_grey('white_on_grey()'))
    print(white_on_grey_bold('white_on_grey_bold()'))
    print(white_on_grey_underline('white_on_grey_underline()'))
    print(white_on_grey_bold_underline('white_on_grey_bold_underline()'))
    print(white_on_red('white_on_red()'))
    print(white_on_red_bold('white_on_red_bold()'))
    print(white_on_red_underline('white_on_red_underline()'))
    print(white_on_red_bold_underline('white_on_red_bold_underline()'))
    print(white_on_green('white_on_green()'))
    print(white_on_green_bold('white_on_green_bold()'))
    print(white_on_green_underline('white_on_green_underline()'))
    print(white_on_green_bold_underline('white_on_green_bold_underline()'))
    print(white_on_yellow('white_on_yellow()'))
    print(white_on_yellow_bold('white_on_yellow_bold()'))
    print(white_on_yellow_underline('white_on_yellow_underline()'))
    print(white_on_yellow_bold_underline('white_on_yellow_bold_underline()'))
    print(white_on_blue('white_on_blue()'))
    print(white_on_blue_bold('white_on_blue_bold()'))
    print(white_on_blue_underline('white_on_blue_underline()'))
    print(white_on_blue_bold_underline('white_on_blue_bold_underline()'))
    print(white_on_magenta('white_on_magenta()'))
    print(white_on_magenta_bold('white_on_magenta_bold()'))
    print(white_on_magenta_underline('white_on_magenta_underline()'))
    print(white_on_magenta_bold_underline('white_on_magenta_bold_underline()'))
    print(white_on_cyan('white_on_cyan()'))
    print(white_on_cyan_bold('white_on_cyan_bold()'))
    print(white_on_cyan_underline('white_on_cyan_underline()'))
    print(white_on_cyan_bold_underline('white_on_cyan_bold_underline()'))


if __name__ == "__main__":
    demo()
