# -*- coding: utf-8 -*-
#
# Copyright (c) 2019, HILSTER GmbH, Germany - https://hilster.de
# All rights reserved.
#

from __future__ import \
    absolute_import, division, print_function, unicode_literals

import sys
import prompt_toolkit
import warnings


def _simple_prompt(message, completer=None, validator=None):
    value = input(message)
    return value


def _prompt(message, completer=None, validator=None):
    value = prompt_toolkit.prompt(message,
                                  completer=completer,
                                  validator=validator)
    return value


prompt = None

for _name in ('stdin', 'stdout', 'stderr'):
    _stream = getattr(sys, _name)
    if not _stream or not hasattr(_stream, 'isatty') or not _stream.isatty():
        # warnings.warn(
        #     message="Not running in a TTY and not using prompt_toolkit")
        prompt = _simple_prompt
        break
else:
    prompt = _prompt
